package es.ejie.frmk.infraestructura.sms;

/**
 * Clase base que representa los errores de envío/recepción del SMS.
 * Los atributos de la clase son:
 * <ul>
 * <li>Origen del error </li>
 * <li>Razón del error </li>
 * <li>Descripción del error </li>
 * <li>Codigo del error </li>
 * </ul>
 * @version 2.0   Fecha: 07-jun-06
 */
public class Q70SMSError {

	private String origen=null;
	private String razon=null;
	private String descripcion=null;
	private String codigo=null;

	/**
	 * Constructor de Clase
	 */
	public Q70SMSError() {
		origen="";
		razon="";
		descripcion="";
		codigo="";
	}
	
	/**
	 * Constructor de Clase
	 * @param origen
	 * @param razon
	 * @param descripcion
	 * @param codigo
	 * @throws Q70SMSException
	 */
	protected Q70SMSError(String origen, String razon, String descripcion, String codigo) throws Q70SMSException 
	{
		this.origen = origen;
		this.razon = razon;
		this.descripcion = descripcion;
		this.codigo = codigo;
	}

	/**
	 * @return codigo del Error
	 * @throws Q70SMSException
	 */
	public String getCodigo() throws Q70SMSException {
		return codigo;
	}
	
	/**
	 * @param codigo
	 * @throws Q70SMSException
	 */
	public void setCodigo(String codigo) throws Q70SMSException {
		this.codigo = codigo;
	}
	
	/**
	 * @return descripción del error
	 * @throws Q70SMSException
	 */
	public String getDescripcion() throws Q70SMSException {
		return descripcion;
	}
	
	/**
	 * @param descripcion
	 * @throws Q70SMSException
	 */
	public void setDescripcion(String descripcion) throws Q70SMSException {
		this.descripcion = descripcion;
	}
	
	/**
	 * @return origen del error
	 * @throws Q70SMSException
	 */
	public String getOrigen() throws Q70SMSException {
		return origen;
	}
	
	/**
	 * @param origen
	 * @throws Q70SMSException
	 */
	public void setOrigen(String origen) throws Q70SMSException {
		this.origen = origen;
	}
	
	/**
	 * @return razon del error
	 * @throws Q70SMSException
	 */
	public String getRazon() throws Q70SMSException {
		return razon;
	}
	
	/**
	 * @param razon
	 */
	public void setRazon(String razon) {
		this.razon = razon;
	}
}
